Debian Bug report logs - #206458
grsecurity: patch won't apply

version graph

Package: kernel-patch-grsecurity2; Maintainer for kernel-patch-grsecurity2 is Laszlo Boszormenyi (GCS) <gcs@debian.hu>; Source for kernel-patch-grsecurity2 is src:linux-patch-grsecurity2.

Reported by: Gordon Haverland <ghaverla@materialisations.com>

Date: Wed, 20 Aug 2003 21:18:18 UTC

Severity: wishlist

Tags: confirmed, help, patch, wontfix

Merged with 194225, 199519, 211213

Fixed in versions 2.0.1-2, kernel-patch-grsecurity2/2.0.1-2

Done: Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#206458; Package grsecurity. Full text and rfc822 format available.

Acknowledgement sent to Gordon Haverland <ghaverla@materialisations.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gordon Haverland <ghaverla@materialisations.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grsecurity: patch won't apply
Date: Wed, 20 Aug 2003 15:18:13 -0600
Package: grsecurity
Version: 1.9.11-1 (not installed)
Severity: grave
Justification: renders package unusable

I see a number of similar bug report, so just adding to things I guess.
I recently commisioned a Debian system from bf2.4, and then installed
initial system from testing.  The kernel source was
kernel-source-2.4.20-9.  Along with
kernel-patch-2.4-grsecurity_1.9.11-1 was
alsa-source_0.9.4-1.

Almost none of the grsecurity patch applied, and I didn't
see any mention of its components when I did the
make-kpkg ... --config menuconfig kernel_image
business.  I haven't looked at the .rej files to
see what it is complaining about.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux newmain.materia 2.4.18 #1 SMP Tue Aug 6 17:10:01 MDT 2002 i686
Locale: LANG=C, LC_CTYPE=C




Bug reassigned from package `grsecurity' to `kernel-patch-2.4-grsecurity'. Request was from G�ran Weinholt <weinholt@dtek.chalmers.se> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan McDowell <noodles@earth.li>:
Bug#206458; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonathan McDowell <noodles@earth.li>. Full text and rfc822 format available.

Message #12 received at 206458@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 206458@bugs.debian.org, 199510@bugs.debian.org, 194225@bugs.debian.org, 203759@bugs.debian.org, 204424@bugs.debian.org
Cc: control@bugs.debian.org
Subject: more info needed
Date: Tue, 2 Sep 2003 22:50:53 +0200
[Message part 1 (text/plain, inline)]
severity 194225 important
severity 203759 important
severity 204424 important
severity 206458 important
tags 194225 +moreinfo +help
tags 199510 +moreinfo +help
tags 203759 +moreinfo +help
tags 204424 +moreinfo +help
tags 206458 +moreinfo +help
merge 194225 206458
merge 204424 203759
thanks

Hey thee, submitters of bugs...

If you expect me to fix the bug in the grsecurity kernel patch not
applying cleanly to your version of the kernel (whichever that was),
then please provide more information. Building a kernel with patches
takes more time than I have. Please give me the output of `make-kpkg
configure`, but try to trim it down to the stuff related to
grsecurity.

Also, a tarball of *just* the .rej files would be incredibly
helpful. Try to put that somewhere for download, upload it to
ftp://ftp.madduck.net/incoming, just please don't send it via email.

I will tag these bugs as wontfix if I don't receive help on them.
The reason is that 2.4.22 is out, and thus these problems are
theoretically problems of the past.

Thanks,

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[Message part 2 (application/pgp-signature, inline)]

Severity set to `important'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 194225 206458. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix, confirmed Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: moreinfo, sid Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: moreinfo, sid Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix, confirmed Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 194225 199519 206458. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 194225 199519 206458 211213. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-patch-2.4-grsecurity' to `kernel-patch-grsecurity2'. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gordon Haverland <ghaverla@materialisations.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 194225-done@bugs.debian.org (full text, mbox):

From: Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>
To: 267851-done@bugs.debian.org, 194225-done@bugs.debian.org, 199519-done@bugs.debian.org, 206458-done@bugs.debian.org, 211213-done@bugs.debian.org
Subject: fixed in 2.0.1-2
Date: Sun, 19 Sep 2004 22:18:26 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 17 Sep 2004 17:37:27 +0000
Source: kernel-patch-grsecurity2
Binary: kernel-patch-grsecurity2
Architecture: source all
Version: 2.0.1-2
Distribution: unstable
Urgency: medium
Maintainer: LĂĄszlĂł BĂśszĂśrmĂŠnyi (GCS) <gcs@lsc.hu>
Changed-By: LĂĄszlĂł BĂśszĂśrmĂŠnyi (GCS) <gcs@lsc.hu>
Description: 
 kernel-patch-grsecurity2 - grsecurity kernel patch - new major upstream version
Changes: 
 kernel-patch-grsecurity2 (2.0.1-2) unstable; urgency=medium
 .
   * Port grsecurity2-2.4.27 to the Debian kernel, this makes easier for
     users to follow Debian kernels with backported security fixes once
     stable (Sarge) is released. Thanks for everyone testing it!
   * Include PaX patches as well.
   * Update template descriptions, thanks to Luk Claes, Eric and Hideki
     Yamane again.
Files: 
 da6f56b55c156005170b49d83a9b5c50 574 devel extra kernel-patch-grsecurity2_2.0.1-2.dsc
 3f76987dc5083a3a949a248f2baa7e11 796274 devel extra kernel-patch-grsecurity2_2.0.1-2.tar.gz
 7d04680fd5fede4858494e760f1855ec 802936 devel extra kernel-patch-grsecurity2_2.0.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBSzQiMDatjqUaT90RAlR3AJ9fu2wf+rYI9paa3RgHIfxIhZkMiACgjHf7
myAdnkR2UlY/R6Rb4uMoMYc=
=dPlA
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:10:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.